from flask_restful import Resource, reqparse
from flask import jsonify,request,json
from common import redis_helper,utils
from wechat import gewe_chat


class GetLoginInfoResource(Resource):
    def __init__(self):
        self.parser = reqparse.RequestParser()
        self.wxchat = gewe_chat.wxchat

    def post(self):
        req = request.get_json()
        tel = req.get("tel")
        config=self.wxchat.get_login_info_from_cache(tel)
        return jsonify(config)